#
# Conditional build:
%bcond_without	selinux		# SELinux support
%bcond_with	tests		# unit tests
#
Summary:	GNU Find Utilities (find, xargs)
Summary(de.UTF-8):	GNU-Suchprogramme (find, xargs)
Summary(es.UTF-8):	Utilitarios de búsqueda de la GNU
Summary(fr.UTF-8):	Utilitaires de recherche de GNU (find, xargs)
Summary(pl.UTF-8):	Narzędzia GNU do odnajdywania plików (find, xargs)
Summary(pt_BR.UTF-8):	Utilitários de procura da GNU
Summary(tr.UTF-8):	GNU dosya arama araçları
Name:		findutils
Version:	4.10.0
Release:	1%{?tld}
Epoch:		1
License:	GPL v3+
Group:		Applications/File
# development versions at ftp://alpha.gnu.org/gnu/findutils/
Source0:	https://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.xz
# Source0-md5:	870cfd71c07d37ebe56f9f4aaf4ad872
#Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	e76388b0c3218eec3557d05ccd6d6515
Patch0:		%{name}-man-selinux.patch
Patch1:		%{name}-info.patch
# (will be again after tp update) http://translationproject.org/latest/findutils/pl.po
Patch2:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/findutils/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.19.8
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The findutils package contains programs which will help you locate
files on your system. The find utility searches through a hierarchy of
directories looking for files which match a certain set of criteria
(such as a filename pattern). The locate utility searches a database
(create by updatedb) to quickly find a file matching a given pattern.
The xargs utility builds and executes command lines from standard
input arguments (usually lists of file names generated by the find
command).

%description -l de.UTF-8
Das findutils-Paket enthält Programme, die dabei helfen, Dateien auf
Ihrem System zu finden. Das Find-Utility durchsucht die
Verzeichnishierarchie nach Dateien, die zu bestimmten Kriterien (z.B.
Dateiname) passen. Das locate-Utility durchsucht eine Datenbank
(erzeugt durch updatedb), um die Dateien schneller finden zu können.
xargs konstruiert Kommandozeilen von der Standardeingabe (z.B.
Dateilisten, die von find erzeugt werden), und führt sie aus.

%description -l es.UTF-8
Este paquete contiene programas para ayúdalo a localizar archivos en
tu sistema. El programa find puede pesquisar, a través de una
jerarquía de directorios, buscando por archivos que obedezcan a un
cierto conjunto de criterios (como nombre de archivo modelo).

%description -l fr.UTF-8
Ce package contient des programmes pour vous aider à localiser des
fichiers sur votre système. Le programme find peut rechercher à
travers une hiérarchie de répertoires des fichiers conformes à
certains critères (comme un type de nom).

%description -l pl.UTF-8
W pakiecie znajdują się narzędzia pozwalające na poszukiwanie
określonych plików. Program find służy do poszukiwania w drzewie
katalogów plików o określonych parametrach, jak nazwa, uprawnienia,
typ czy data ostatniej modyfikacji.

%description -l pt_BR.UTF-8
Esse pacote contém programas para ajudá-lo a localizar arquivos em seu
sistema. O programa find pode procurar através de uma hierarquia de
diretórios procurando por arquivos que obedeçam um certo conjunto de
critérios (como nome de arquivo modelo).

%description -l tr.UTF-8
Bu pakette yer alan yazılımlar sisteminizde yer alan dosyaları
bulabilmeniz için hazırlanmışlardır. find programı ile belirli
özellikleri olan bir yazılımı bir dizin hiyerarşisi altında
arayabilirsiniz.

%prep
%setup -q
# patch0 is applied in install stage
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
%{__aclocal} -I gl/m4 -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%ifarch %{ix86}
# 64 bit time_t on ix86 requires glibc 2.32+ built with/for kernel 5.6+
TIME_T_32_BIT_OK=yes \
%endif
%configure \
	--disable-silent-rules \
	%{__with_without selinux}

%{__make}

%if %{with tests}
# tests use bashish $'\n' substitution
%{__make} check \
	SHELL=/bin/bash
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{?with_selinux:patch -p0 -d $RPM_BUILD_ROOT%{_mandir} < %{PATCH0}}

# xargs is wanted in /bin
install -d $RPM_BUILD_ROOT/bin
%{__mv} $RPM_BUILD_ROOT%{_bindir}/xargs $RPM_BUILD_ROOT/bin

# useless in binary package
%{__rm} $RPM_BUILD_ROOT%{_infodir}/find-maint.info*

# unpackaged locate
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{locate,updatedb} \
	$RPM_BUILD_ROOT%{_libexecdir}/frcode \
	$RPM_BUILD_ROOT%{_mandir}/{,*/}man?/{locate.1,updatedb.1,locatedb.5}*

%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.findutils-non-english-man-pages
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/find
%attr(755,root,root) /bin/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%lang(de) %{_mandir}/de/man1/[fx]*
%lang(es) %{_mandir}/es/man1/[fx]*
%lang(fi) %{_mandir}/fi/man1/[fx]*
%lang(fr) %{_mandir}/fr/man1/[fx]*
%lang(hu) %{_mandir}/hu/man1/[fx]*
%lang(it) %{_mandir}/it/man1/[fx]*
%lang(ja) %{_mandir}/ja/man1/[fx]*
%lang(nl) %{_mandir}/nl/man1/[fx]*
%lang(pl) %{_mandir}/pl/man1/[fx]*
%lang(zh_CN) %{_mandir}/zh_CN/man1/[fx]*
%{_infodir}/find.info*
%changelog
* Sun Jun 09 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/findutils.git;a=log;h=master

* Wed Jun 05 2024 Jakub Bogusz <qboosh@pld-linux.org> b296965
- updated to 4.10.0

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 6119cb1
- enhanced info and pl.po-update patches

* Tue Mar 15 2022 Jan Palus <atler@pld-linux.org> 3231ac5
- updated info and pl.po patches; rel 1

* Wed Feb 02 2022 Jan Palus <atler@pld-linux.org> da4b0c4
- up to 4.9.0 (rel 0.1 info/pl.po patches need update)

* Mon Nov 22 2021 Jan Rękorajski <baggins@pld-linux.org> e48dfea
- build with 32-bit time on ix86 for now, rel 3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ea09451
- rebuild with separate debuginfo build-ids

* Tue Mar 09 2021 Jan Palus <atler@pld-linux.org> f2c3532
- rel 1

* Sun Feb 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 98f9a78
- updated pl.po-update patch

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> e10799f
- updated source url to https

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 98b35e7
- up to 4.8.0 (rel 0.1 -- pl.po patch needs update)

* Mon Sep 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 1a4e795
- updated to 4.7.0
- updated info,pl.po-update patches
- removed obsolete 4.6.0 patches
- added tests

* Sat Jun 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c1fc3
- one more fix from fc

* Sat Jun 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d44078
- rel 2; exec fix from fc/upstream

* Sun Jan 24 2016 Jakub Bogusz <qboosh@pld-linux.org> a2caf12
- updated info patch (remaining parts are PLD-specific, as described in devel-hints-*)
- fixed pl.po-update patch (there is no 4.6.0 release on TP, so updated manually)

* Sun Jan 24 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 29a3768
- up to 4.6.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> edb29a9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 0bbe857
- add x32 fixes from debian

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 027991f
- add info fixes from debian

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d7c1548
- updated gettext BR

* Thu Jun 21 2012 Jacek Konieczny <jajcus@pld-linux.org> ea064a2
- automake 1.12 patch

